Imports System.IO
Imports System.Xml
Imports System.Xml.XPath
Imports System.Xml.Linq

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
           Handles Me.Load
        'Wczytaj dokument
        Dim booksFile As String = Server.MapPath("books.xml")
        Dim document As XDocument = XDocument.Load(booksFile)

        'Dodaj prefiks przestrzeni nazw, aby mógł być wykorzystany w wyrażeniu XPath
        Dim namespaceMgr As New XmlNamespaceManager(New NameTable())
        namespaceMgr.AddNamespace("b", "http://example.books.com")

        'Wszystkie książki, których cena nie jest większa niż 10.00
        Dim nodes = document.XPathSelectElements("//b:book[not(b:price[. > 10.00])]/b:price", namespaceMgr)

        For Each node In nodes
            Response.Write(node.Value + "<BR/>")
        Next
    End Sub

End Class
